package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.24
 **/
public enum ExamEvaluationResultEnum implements BaseEnum<String, ExamEvaluationResultEnum> {

    EXCELLENT("excellent", "优秀"),
    WELL("WELL", "良好"),
    PASS("PASS", "及格"),
    FAIL("FAIL", "不及格");

    private String code;

    private String msg;

    ExamEvaluationResultEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }}
